
<?php require_once('scripts/post-count.php'); ?>

<?php require_once('scripts/comment-count.php'); ?>

<?php require_once('scripts/subscribe-to-comments.php'); ?>

<?php require_once('scripts/most-commented.php'); ?>

<?php

	if ( function_exists('register_sidebar') )

		register_sidebar();

	function widget_mytheme_search() {

?>

	<li class="widget_search">

  <form id="searchform" action="<?php bloginfo('url'); ?>" method="get">

	<input type="text" id="searchinput" name="s" class="searchinput" value="search" onfocus="if (this.value == 'search') {this.value = '';}" onblur="if (this.value == '') {this.value = 'search';}" />

	<input type="submit" id="searchsubmit" class="button" value="" />

	</form>

	</li>



<?php

}



if ( function_exists('register_sidebar_widget') )

    register_sidebar_widget(__('Search'), 'widget_mytheme_search');



function mytheme_comment($comment, $args, $depth) {

	$GLOBALS['comment'] = $comment; 

?>

	<li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">

		<div id="comment-<?php comment_ID(); ?>">

			<div class="comment-author vcard">

				<div class="left">

					<?php echo get_avatar($comment,$size='48'); ?>

					<div class="reply">

						<?php comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth']))) ?>

					</div>

				</div>

			</div><!-- end vcard -->

		

			<div class="right">

				<?php if ($comment->comment_approved == '0') : ?>

		        	<em><?php _e('Waiting for the admin to approve your comment. Please be patient.', 'vast_html'); ?></em>

		         	<br />

		        <?php endif; ?>

				

				<div class="comment-meta commentmetadata">

					<?php comment_author_link() ?>&nbsp;אמר:&nbsp;<?php comment_date('Y.m.d') ?>&nbsp;<?php comment_time('H:i') ?>

				</div>

			

				<?php comment_text() ?>

			</div>

			<div class="clear"></div>

		</div>

<?php }



function rc(){

	global $wpdb;

	$sql = "SELECT DISTINCT ID, post_title, post_password, comment_ID, comment_post_ID, comment_author, comment_date_gmt, comment_approved, comment_type,comment_author_url, SUBSTRING(comment_content,1,15) AS com_excerpt FROM $wpdb->comments LEFT OUTER JOIN $wpdb->posts ON ($wpdb->comments.comment_post_ID = $wpdb->posts.ID) WHERE comment_approved = '1' AND comment_type = '' AND post_password = '' ORDER BY comment_date_gmt DESC LIMIT 8";





	$comments = $wpdb->get_results($sql);

	$output = $pre_HTML;



	foreach($comments as $comment){

		$before = '<li class="rc"> ';

		$after = '</li>';

		

		if(strlen($comment->com_excerpt) >=20){

			$comment->com_excerpt .= '...'; 

		}

		

		$output .= $before . '<a href="' . get_permalink($comment->ID) . '#comment-' . $comment->comment_ID . '" title="'. $comment->comment_author . __(' comments on ', 'vast_html') .$comment->post_title . '">' . strip_tags($comment->comment_author) . '</a>' . ': ' . '<span class="excerpt">' . strip_tags($comment->com_excerpt) . '</span>' . $after;

	}



	$output .= $post_HTML;

	

	echo $output;

}



add_action ('init','my_theme_init');

function my_theme_init (){

	load_theme_textdomain ('vast_html', get_template_directory() . '/languages');

}





 ?>

<?php

if ( !function_exists('fb_addgravatar') ) {

	function fb_addgravatar( $avatar_defaults ) {

		$myavatar = get_bloginfo('template_directory') . '/images/avatar1.png';

		$avatar_defaults[$myavatar] = 'Vast HTML Logo';

 

		$myavatar2 = get_bloginfo('template_directory') . '/images/avatar2.png';

		$avatar_defaults[$myavatar2] = 'Midnight Mass Logo';

		

		$myavatar3 = get_bloginfo('template_directory') . '/images/avatar3.png';

		$avatar_defaults[$myavatar3] = 'Edit "avatar3.PNG" for this avatar';

		

		$myavatar4 = get_bloginfo('template_directory') . '/images/avatar4.png';

		$avatar_defaults[$myavatar4] = 'Edit "avatar4.PNG" for this avatar';

 

		return $avatar_defaults;

	}

 

	add_filter( 'avatar_defaults', 'fb_addgravatar' );

}

?>

<?php

add_action('admin_menu', 'theme_info_page');



function theme_info_page() {

  add_menu_page('Vast HTML', 'Vast HTML', 8, 'theme_info', 'theme_info', 'http://vasthtml.com/images/vasthtml-menu-logo.png');

}

function theme_info() {

  echo '<div class="wrap">';

  echo '<p> 

  <h1>Midnight Mass</h1>

  <h2>Theme Information:</h2>

  <b>Format:</b> Wordpress 2.7+<br />

  <b>Name:</b> Midnight Mass <br />

  <b>Version:</b> 1.0 <br />

  <b>Site:</b> <a href="http://vasthtml.com">VastHTML.Com</a><br />

  <b>Author:</b> Eric Hamby <br />

  <b>Release Date:</b> 7/4/2009

  <hr>

  <h2>Options Added With This Theme:</h2>

  &bull; 4 new default avatar options available by going to <i>"Setting > Discussion".</i> <br />

  &bull; Blog favicon options available at <i>"Vast HTML > Blog Favicon".</i> <br />

  &bull; Admin favicon options available at <i>"Vast HTML > Admin Favicon".</i>

  <hr>

  

  </p>';

  echo '</div>';

}

?>

<?php

add_action('admin_menu', 'support_page');



function support_page() {

  add_submenu_page('theme_info', 'Theme Support', 'Theme Support', 8, 'support_file', 'support_file');

}

function support_file() {

  echo '<div class="wrap">';

  echo '<p>

  <h2>Theme Support:</h2>

  For any support issues please feel free to visit the free support forums at <a href="http://vasthtml.com">VastHTML.Com</a>. </p>';

  echo '</div>';

}

?>

<?php

/*

Plugin Name: Admin Favicon 

Plugin URI: http://www.johnkolbert.com/portfolio/wp-plugins/admin-favicon

Description: Adds a custom favicon to your WP-Admin Console. It can be configured under the "Settings" tab.

Version: 1.4

Author: John Kolbert

Author URI: http://www.johnkolbert.com/

*/



/*

This program is free software; you can redistribute it and/or modify

it under the terms of the GNU General Public License as published by

the Free Software Foundation; either version 2 of the License, or

(at your option) any later version.



This program is distributed in the hope that it will be useful,

but WITHOUT ANY WARRANTY; without even the implied warranty of

MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the

GNU General Public License for more details.



You should have received a copy of the GNU General Public License

along with this program; if not, write to the Free Software

Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/



function favi_option_menu() {

	if (function_exists('current_user_can')) {

		if (!current_user_can('manage_options')) return;

	} else {

		global $user_level;

		get_currentuserinfo();

		if ($user_level < 8) return;

	}

	if (function_exists('add_options_page')) {

		add_submenu_page('theme_info', __('Admin Favicon'), __('Admin Favicon'), 1, __FILE__, 'favi_options_page');

	}

} 



// Install the options page

add_action('admin_menu', 'favi_option_menu');



function favi_options_page(){

	global $wpdb;

	if (isset($_POST['update_options'])) {

		$options['favi_url'] = trim($_POST['favi_url'],'{}');

		update_option('favi_insert_url', $options);

		// Show a message to say we've done something

		echo '<div class="updated"><p>' . __('Options saved') . '</p></div>';

	} else {

		

		$options = get_option('favi_insert_url');

	}

	

	?>

		<div class="wrap">

		<h2><?php echo __('Osiris Admin Favicon'); ?></h2>

		<form method="post" action="">

		

		<table class="form-table">

			<tr valign="top">

				<th scope="row"><?php _e('Favicon URL:') ?></th>

				<td><input name="favi_url" type="text" id="favi_url" value="<?php echo $options['favi_url']; ?>" size="60" /><br /> Use the above option to set the URL for your favicon. This should be the direct link. Example: <em>http://www.example.com/favicon.ico</em><br />You may have to refresh your browser to see your changes.</td>

			</tr>

		<p></p>

		

		</table>

	

		<div class="submit"><input type="submit" name="update_options" value="<?php _e('Update') ?>"  style="font-weight:bold;" /></div>

		</form> <br />

</div>

	<?php	

}

function Adminfavicon() {



$options = get_option('favi_insert_url');

echo"<link rel=\"shortcut icon\" href=\"$options[favi_url]\" />";

}



add_action('admin_head', 'Adminfavicon');





?>

<?php

/*

Plugin Name: Favicon Manager

Plugin URI: http://www.digitalramble.com/favicon-manager-wordpress-plugin/

Description: Adds your favicon to your headers and/or rss feeds. 

Version: 0.1

Author: Digital Ramble

Author URI: http://www.digitalramble.com

*/





/*

Copyright (C) 2006 Cindy Moore



This program is free software; you can redistribute it and/or

modify it under the terms of the GNU General Public License

as published by the Free Software Foundation; either version 2

of the License, or (at your option) any later version.



This program is distributed in the hope that it will be useful,

but WITHOUT ANY WARRANTY; without even the implied warranty of

MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the

GNU General Public License for more details.



http://www.gnu.org/licenses/gpl.txt



You should have received a copy of the GNU General Public License

along with this program; if not, write to the Free Software

Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.



*/   



function get_favicon_type($name)

{

  if (preg_match("/\.gif$/i", $name))

  {

    return "gif";

  }

  if (preg_match("/\.ico$/i", $name))

  {

    return "x-icon";

  }

  if (preg_match("/\.jp[e]?g$/i", $name))

  {

    return "jpg";

  }

  if (preg_match("/\.png$/i", $name))

  {

    return "png";

  }

  return "";

}



function create_favicon_uri($favicon_location)

{

  // if an absolute location entered, don't try to add the site url...

  if (preg_match("/^http/", $favicon_location))

  {

    $favicon_url=$favicon_location;

  }

  else

  {

    $favicon_url= get_settings('siteurl') . '/' . $favicon_location;

  }

  return $favicon_url;

}



// if we've stored a favicon location in the database, retrieve it

// and put it into the headers.  the type of the favicon is determined from

// it's name; if unknown, take a trusting leap (and omit the type attribute;

// hey if it doesn't work, the user can go back to the option panel and

// fix the favicon name...)

// if no location stored, then exit quietly and do nothing at all

function add_favicon_to_headers() 

{

  $favicon_location=create_favicon_uri(get_option('fm_favicon_location'));

  if ($favicon_location) 

  {

    $favicon_type=get_favicon_type($favicon_location);

    if ($favicon_type)

    {

      print '	<link rel="icon" href="'. $favicon_location .'" type="image/'. $favicon_type .'" />';

      print "\n";

      print '	<link rel="shortcut icon" href="'. $favicon_location .'" type="image/'. $favicon_type .'" />';

      print "\n";

    }

    else

    {

      echo '	<link rel="icon" href="'. $favicon_location .'" />';

      print "\n";

      echo '	<link rel="shortcut icon" href="'. $favicon_location .'" />';

      print "\n";

    }

  }

}





// insert favicon into header using WP hooks

add_action('wp_head', 'add_favicon_to_headers');







// if the user has chosen to add the image to the atom feed then do so

// need to check both that the user checked the box and entered an image

// if either condition missing, then silently exit without printing anything

function add_image_to_atom_feed()

{

  if (get_option('fm_atom_feed_option'))

  {

    $favicon_location=create_favicon_uri(get_option('fm_favicon_location'));

    if ($favicon_location)

    {

      echo "<icon>". $favicon_location ."</icon>\n";

    }

  }

}







// if the user has chosen to add the image to the rss2 feed then do so

// need to check both that the user checked the box and entered an image

// if either condition missing, then silently exit without printing anything

function add_image_to_rss2_feed()

{

  if (get_option('fm_rss2_feed_option'))

  {

    $favicon_location=create_favicon_uri(get_option('fm_favicon_location'));

    if ($favicon_location)

    {

      echo "<image>\n";

      echo "  <link>". get_bloginfo_rss('url') ."</link>\n";

      echo "  <url>". $favicon_location ."</url>\n";

      echo "  <title>". get_bloginfo_rss('name') ."</title>\n";

      echo "</image>\n";

    }

  }

}



// insert image into rss2 feed 

add_action('rss2_head', 'add_image_to_rss2_feed');



// and into atom's feed

add_action('atom_head', 'add_image_to_atom_feed');







// options menu





// add the saved items to the database if not already there

function favicon_mgr_add_options()

{

	add_option('fm_favicon_location', '');

	add_option('fm_rss2_feed_option', false);

	add_option('fm_atom_feed_option', false);

}

// call to actually set up

favicon_mgr_add_options();





// create hook for new submenu

add_action('admin_menu', 'favicon_mgr_admin_menu');



// title of page, name of option in menu bar, which function lays out the html

function favicon_mgr_admin_menu()

{

  add_submenu_page('theme_info', __('Favicon Manager Options'), __('Blog Favicon'), 5, basename(__FILE__), 'favicon_mgr_options_page');

}



// html layout for option page, plus detection/update on new settings

function favicon_mgr_options_page()

{

  $updated = false;



  // did the user enter a new/changed location?

  if (isset($_POST['fm_favicon_location']))

  {

    $fm_favicon_location = $_POST['fm_favicon_location'];

    // remember the change in the database

    update_option('fm_favicon_location', $fm_favicon_location);

    // and remember to note the update to user

    $updated = true;

  }

  // either way make sure we have the latest value at hand

  $fm_favicon_location = get_option('fm_favicon_location');





  // same deal here for the check boxes, except that they behave

  // differently from text areas -- if "unchecked" you get no input.

  // so check if the submit button was hit, then compare stored/current

  // values to see what needs to be done.



  if (isset($_POST['update_favicons']))

  {

    $original_value=get_option('fm_rss2_feed_option');

    $current_value=isset($_POST['fm_rss2_feed_option']);

    if ($original_value!=$current_value)

    {

      update_option('fm_rss2_feed_option', $current_value);

      $updated = true;

    }



    $original_value=get_option('fm_atom_feed_option');

    $current_value=isset($_POST['fm_atom_feed_option']);

    if ($original_value!=$current_value)

    {

      update_option('fm_atom_feed_option', $current_value);

      $updated = true;

    }

  }

  $fm_rss2_feed_option = get_option('fm_rss2_feed_option');

  $fm_atom_feed_option = get_option('fm_atom_feed_option');



  // notify the user that we updated something

  if ($updated)

  {

    ?>

    <div class="updated"><p><strong>Options saved.</strong></p></div>

    <?php

  }

  

  // now tack on any beginning http that might be needed

  $favicon_url=create_favicon_uri($fm_favicon_location);





  // print the form page

  ?>

  <div class="wrap">

	  <h2>Osiris Blog Favicon</h2>

	  <form name="form1" method="post" action="<?php echo $_SERVER['REQUEST_URI']; ?>">



		  <fieldset class="options">



			  <legend>Favicon in WordPress Pages</legend>

			  <table width="100%" cellspacing="2" cellpadding="5" class="editform">

			  <tr valign="top">

				  <th width="33%" scope="row">Location:</th>

				  <td><input name="fm_favicon_location" type="text" width="60" value="<?php echo $fm_favicon_location; ?>"/>

				  <br />You can enter a pathname relative to your WordPress installation, or an absolute (starting with http) address.

				  If it worked, your icon should show up below after updating:

				  <?php if ($favicon_url) { 

				    echo '<p><img src="'. $favicon_url .'" />'; } 

				    echo "from $favicon_url</p>\n";

				  ?>

				  </td>

			  </tr>

			  </table>



			  <legend>Images in Feeds</legend>

			  <table width="100%" cellspacing="2" cellpadding="5" class="editform">

			  <tr valign="top">

				  <th width="33%" scope="row">Add to RSS2 Feed?</th>

				  <td><input name="fm_rss2_feed_option" type="checkbox" value="Y" <?php if ($fm_rss2_feed_option) { echo "checked" ;} ?> >

				  </td>

			  </tr>

			  <tr valign="top">

				  <th width="33%" scope="row">Add to Atom Feed?</th>

				  <td><input name="fm_atom_feed_option" type="checkbox" value="Y" <?php if ($fm_atom_feed_option) { echo "checked"; } ?> >

				  </td>

			  </tr>

			  </table>

		  </fieldset>



		  <p class="submit">

		    <input type="submit" name="update_favicons" value="Update" style="font-weight:bold;" />

		  </p>

	  </form>

  

  </div>

  

  <?php 

}





?>