

<?php get_header(); ?>

<div id="container">

	<div id="main">

		<?php if (is_tag()){ ?>

			<div class="strong"><?php _e('תגית: ', 'vast_html'); ?><span class="keyword"><?php single_cat_title() ?></span></div>

		<?php } elseif (is_category()){ ?>

			<div class="strong"><?php _e('קטגוריה: ', 'vast_html'); ?><span class="keyword"><?php single_cat_title() ?></span></div>

		<?php } ?>



    	<?php if (have_posts()) : while (have_posts()) : the_post(); ?>

			<div class="post<?php if(function_exists (sticky_class)): sticky_class(); endif; ?>" id="post-<?php the_ID(); ?>">

				<div class="date">

					<?php the_time('Y') ?><br />

					<?php the_time('m.d') ?>

				</div>

				<div class="title">

					<h2><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php _e('כתבה: ', 'vast_html'); ?><?php the_title_attribute(); ?>"><?php the_title(); ?></a></h2>

					

					<div class="postmeta">

						<?php _e('קטגוריה', 'vast_html'); ?>:&nbsp;<span class="category"><?php the_category(', ') ?></span>&nbsp;/

						<?php

							$tag = get_the_tags();

							if(!$tag){

								echo __('תגיות: אין תגיות/', 'vast_html');

							}

							else{

						?>

						<?php _e('תגית', 'vast_html'); ?>:&nbsp;<?php the_tags('<span>',',&nbsp;','</span>'); ?>&nbsp;/

						<?php } ?>

						<span class="comments"><?php comments_popup_link(__('הוסף תגובה', 'vast_html'), __('1 תגובה', 'vast_html'), __('% תגובות', 'vast_html')); ?></span>

						<?php edit_post_link(__('ערוך', 'vast_html'), ' / ', ''); ?>

					</div><!-- end postmeta -->

				</div><!-- end title -->

				<div class="clear"></div>

				

				<?php if (!(is_tag()) && !(is_category())){ ?>

				<div class="entry">

					<?php the_content_rss('', TRUE, '', 75); ?> <br />

          <a href="<?php the_permalink() ?>" rel="bookmark" title="<?php _e('Permalink to: ', 'vast_html'); ?><?php the_title_attribute(); ?>">קרא עוד...</a>

					<div class="clear"></div>

				</div><!-- end entry -->

				<?php } ?>

			</div><!-- end post -->

		<?php endwhile; ?>

			

    	<div class="navigation">

    		<div class="left"><?php next_posts_link(__('&laquo; כניסות קודמות', 'vast_html')); ?></div>

    		<div class="right"><?php previous_posts_link(__('כניסות הבאות &raquo;', 'vast_html')); ?></div>

    		<div class="clear"></div>

    	</div><!-- end navigation -->

    	

	    <?php else : ?>

	    	<div class="post">

				<div class="title">

					<h2><?php _e('מצטערים,לא מצאנו כלום', 'vast_html'); ?></h2>

				</div>

				<div class="clear"></div>

				<div class="entry no_result">

					<p class="no_result"><?php _e('Please use the search function, or visit the archives page.', 'vast_html'); ?></p>

				</div>

			</div><!-- end post -->

		<?php endif; ?>

	</div><!-- end main -->

<?php get_sidebar(); ?>

<div class="clear"></div>

</div><!-- end container -->

<?php get_footer(); ?>