

<?php get_header(); ?>

<div id="container">

	<div id="main">

		<div class="strong"><?php _e('מילת חיפוש: ', 'vast_html'); ?><span class="keyword"><?php the_search_query(); ?></span></div>

    	<?php if (have_posts()) : while (have_posts()) : the_post(); ?>

			<div class="post" id="post-<?php the_ID(); ?>">

				<div class="date">

					<?php the_time('Y') ?><br />

					<?php the_time('m.d') ?>

				</div>

				<div class="title">

					<h2><a href="<?php the_permalink() ?>" rel="bookmark" title<?php _e('Permalink to: ', 'vast_html'); ?><?php the_title_attribute(); ?>"><?php the_title(); ?></a></h2>

					<div class="postmeta">

						<?php _e('Category', 'vast_html'); ?>:&nbsp;<span class="category"><?php the_category(', ') ?></span>&nbsp;/

						<?php

							$tag = get_the_tags();

							if(!$tag){

								echo __('Tags: no tag /', 'vast_html');

							}

							else{

						?>

						<?php _e('Tag', 'vast_html'); ?>:&nbsp;<?php the_tags('<span>',',&nbsp;','</span>'); ?>&nbsp;/

						<?php } ?>

						<span class="comments"><?php comments_popup_link(__('Add Comment', 'vast_html'), __('1 comment', 'vast_html'), __('% comments', 'vast_html')); ?></span>

						<?php edit_post_link(__('Edit', 'vast_html'), ' / ', ''); ?>

					</div><!-- end postmeta -->

				</div><!-- end title -->

				<div class="clear"></div>

			</div><!-- end post -->

		<?php endwhile; ?>

			

    	<div class="navigation">

    		<div class="left"><?php next_posts_link(__('&laquo; Previous Entries', 'vast_html')); ?></div>

    		<div class="right"><?php previous_posts_link(__('Next Entries &raquo;', 'vast_html')); ?></div>

    		<div class="clear"></div>

    	</div><!-- end navigation -->

    	

	    <?php else : ?>

	    	<div class="post">

				<div class="title">

					<h2><?php _e('מצטערים,לא מצאנו כלום', 'vast_html'); ?></h2>

				</div>

				<div class="clear"></div>

				<div class="entry no_result">

					<p class="no_result"><?php _e('נסה את שדה החיפוש שוב, או בקר בארכיון האתר', 'vast_html'); ?></p>

				</div>

			</div><!-- end post -->

		<?php endif; ?>

	</div><!-- end main -->

<?php get_sidebar(); ?>

<div class="clear"></div>

</div><!-- end container -->

<?php get_footer(); ?>