
<?php get_header(); ?>

<div id="container">

	<div id="main">

    	<?php if (have_posts()) : while (have_posts()) : the_post(); ?>

			<div class="post" id="post-<?php the_ID(); ?>">

				<div class="date">

					<?php the_time('Y') ?><br />

					<?php the_time('m.d') ?>

				</div>

				<div class="title">

					<h2><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php _e('תגובה: ', 'vast_html'); ?><?php the_title_attribute(); ?>"><?php the_title(); ?></a></h2>

					

					<div class="postmeta">

						<?php _e('קטגוריה', 'vast_html'); ?>:&nbsp;<span class="category"><?php the_category(', ') ?></span>&nbsp;/

						<?php

							$tag = get_the_tags();

							if(!$tag){

								echo __('תגיות: no tag /', 'vast_html');

							}

							else{

						?>

						<?php _e('תגית', 'vast_html'); ?>:&nbsp;<?php the_tags('<span>',',&nbsp;','</span>'); ?>&nbsp;/

						<?php } ?>

						<span class="comments"><a href="#respond"><?php _e('הוסף תגובה', 'vast_html'); ?></a></span>

						<?php edit_post_link(__('ערוך', 'vast_html'), ' / ', ''); ?>

					</div><!-- end postmeta -->

				</div><!-- end title -->

				<div class="clear"></div>

				

				<div class="entry">

					<?php the_content('קרא עוד>>'); ?>

					<div class="clear"></div>

				</div><!-- end entry -->

                 <div id="main"><?php if(function_exists('the_ratings')) { the_ratings(); } ?> </div>

			</div><!-- end post -->

		

		<?php comments_template(); ?>

		<?php endwhile; ?>

		

		<?php else : ?>

	    	<div class="post">

				<div class="title">

					<h2><?php _e('Sorry, nothing found!', 'vast_html'); ?></h2>

				</div>

				<div class="clear"></div>

				<div class="entry no_result">

					<p class="no_result"><?php _e('נסה את שדה החיפוש, או בקר בארכיון.', 'vast_html'); ?></p>

				</div>

			</div><!-- end post -->

		<?php endif; ?> 

	</div><!-- end main -->

<?php get_sidebar(); ?>

</div><!-- end container -->

<div class="clear"></div>

<?php get_footer(); ?>